Bug 252394 (CVE-2007-4091) - CVE-2007-4091 rsync off by one flaw
Summary: CVE-2007-4091 rsync off by one flaw
Status: CLOSED NOTABUG
Alias: CVE-2007-4091
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20070725,pu...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-15 19:17 UTC by Josh Bressers
Modified: 2016-03-04 12:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 08:08:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2007-08-15 19:17:40 UTC
rsync contains an off by one stack overflow flaw.  This flaw can result in a
NULL byte written past the end of the stack variable.


More information is located here:
http://c-skills.blogspot.com/2007/08/cve-2007-4091.html

The patch is here:
http://www.suse.de/%7Ekrahmer/rsync-2.6.9-fname-obo.diff

Comment 1 Josh Bressers 2007-08-15 20:03:44 UTC
This flaw does not affect Red Hat Enterprise Linux 2.1, 3, or 4 due to the
version of rsync.

This flaw does exist in Red Hat Enterprise Linux 5, but due to the nature of the
flaw, the use of -fstack-protector when building the binary renders this flaw
unexploitable.

Comment 2 Josh Bressers 2007-08-15 20:22:21 UTC
It should be noted that when running rsync in daemon mode, the daemon spawn a
worker process to handle the connection.  This flaw would not be a denial of
service.


Note You need to log in before you can comment on or make changes to this bug.